<html>
<head>
<title>Optimize</title>
<body>
<?php

$PROMETHEUS_LIBRARY_BASE = '../prometheus-library';
$PROMETHEUS_APP_BASE     = '../';

include( '../prometheus-library/all.lib' );
include( '../lib/prometheus-apl.path' );
/*
It is helpful to turn this on when debugging
*/
$PHP_AUTO_LOADER_DEBUG = 1;

/* The main index autoload needs to be done pre config file */
include( '../index.auto' );
include( '../config/all.config' );

$user_obj         = new BaseObject();
$app_server       = new AppServer();

for( $i = 0; $i < count( $current_apps ); $i++ ) {
   if ( file_exists( $current_apps[ $i ]) ) {
      include( $current_apps[ $i ] );
   }
}

reset( $app_server->apps );

while( list( $app, $obj_ref ) = each( $app_server->apps ) ) {

   $app_dir       = strtolower( $app );

   /* ./pimp/lib/pimp.path */
   $autoload_path = 
      $PROMETHEUS_APP_BASE . 
         '/' . $app_dir . '/lib/' . $app_dir . '.path';

   /* ./pimp/pimp.auto */
   $autoload_file = 
      $PROMETHEUS_APP_BASE . '/' . $app_dir . '/' . $app_dir . '.auto';


   if ( file_exists( $autoload_path ) ) {
      include( $autoload_path );
   }
   if ( file_exists( $autoload_file ) ) {
      include( $autoload_file );
   }
}

AutoLoadOptimize( '../autoload.lib' );

?>
</body>
</html>
