<?php
Function print_form() {
   global $default;
   global $session_id;
   global $user_obj;
   global $user_domain_obj;

   global $action_success;

   global $user_db;
   global $admin_db;
   global $user_domain_db;

   global $template_obj;

   $template_obj->ParseTemplate( 
      $default->manager_templates . '/user/navigator/top.inc' 
   );

   $template_obj->Register( 
      'current_user_domain',
      $user_domain_obj->domain_name
   );
   $template_obj->Register(
      'domain_jump_frm',
      '&nbsp;'
   );

   $template_obj->ParseTemplate(
      $default->manager_templates . '/user/navigator/domain_navigator.inc'
   );

   $template_obj->ParseTemplate(
      $default->manager_templates . '/user/navigator/column_labels.inc'
   );


   /* $user_management_obj          = new UserManagement( $user_db ); */
   $admin_privileges_obj          = new UserAdminPrivileges( $admin_db );

   $ret_vals = $user_db->ListAll( $user_obj->domain_id );


   if ( $ret_vals[ 0 ] == 1 ) {

      $cnt        = $ret_vals[ 1 ];
      $ret_objs   = $ret_vals[ 2 ];


      for ( $i = 0; $i < $cnt; $i++ ) {
         $temp_obj = $ret_objs[ $i ];

         list( $ret, $admin_privs ) = 
            $admin_privileges_obj->Get( $temp_obj->user_id );

         if ( $ret != 1 ) {
            $admin_privs = new AdminPrivileges();
         }

         $url_util = new UrlObject();
         $base_ref = $url_util->PostUrl(
               $default->base_ref,
               Array(
                  'session_id'         => $sesion_id,
                  'target_username'    => $target_username
               )
         );
         $view_ref = $url_util->PostUrl(
               $base_ref, Array( 'form_mode'    => MANAGER_USER_VIEW_FRM )
         );
         $edit_ref = $url_util->PostUrl(
               $base_ref, Array( 'form_mode'    => MANAGER_USER_EDIT_FRM )
         );
         $delete_ref = $url_util->PostUrl(
               $base_ref, Array( 'form_mode'    => MANAGER_USER_DELETE_FRM )
         );


         $add_users     = '';
         $delete_users  = '';
         $edit_users    = '';

         if ( $admin_privs->add_users == 1 ) {
            $add_users = 'Add User';
         } else {
            $add_users = 'NA';
         }
         if ( $admin_privs->edit_users == 1 ) {
            $edit_users = 'Edit User';
         } else {
            $edit_users = 'NA';
         }
         if ( $admin_privs->delete_users == 1 ) {
            $delete_users = 'Delete User';
         } else {
            $delete_users = 'NA';
         }

         $template_obj->Register( 'add_users',        $add_users );
         $template_obj->Register( 'delete_users',     $delete_users );
         $template_obj->Register( 'edit_users',       $edit_users );
         $template_obj->Register( 'view_ref',         $view_ref );
         $template_obj->Register( 'edit_ref',         $edit_ref );
         $template_obj->Register( 'delete_ref',       $delete_ref );

         $template_obj->Register( 'user_id',  $temp_obj->user_id );
         $template_obj->Register( 'user_name', $temp_obj->user_name );
         $template_obj->ParseTemplate( 
            $default->manager_templates . '/user/navigator/user_row.inc'
         );


      }

      if ( $cnt == 0 ) {
         include( $default->manager_templates . '/user/navigator/no_users.inc' );
      }

   }

   include ( $default->manager_templates . '/user/navigator/bottom.inc' );

}

include( './templates/main.inc' );

?>
