<?php

$PROMETHEUS_APP_BASE     = '../';
$PROMETHEUS_LIBRARY_BASE = '../prometheus-library';

include( $PROMETHEUS_LIBRARY_BASE . '/all.lib' );
include( $PROMETHEUS_APP_BASE . '/lib/prometheus-apl.path' );

AutoLoad( 'Defaults' );
AutoLoad( 'TemplateObject' );
AutoLoad( 'BrowserObject' );
AutoLoad( 'WebClient' );

$default      = new Defaults();
$template_obj = new TemplateObject();

$browser_obj  = new WebClient();
$browser_obj  = $browser_obj->Detect();

/* Include the configuration */
include( $PROMETHEUS_APP_BASE . '/config/all.config' );

if ( $theme == '' ) {
   $theme = $default->theme;
}
include( '../themes/common/graphics.inc' );
include( '../themes/' . $theme . '/main.inc' );
include( '../themes/common/main.inc' );

?>
<html>
   <title>View theme elements</title>
   <body bgcolor="#eeeeee">
   <form action="view_theme.php3" method="POST">
   Choose a theme to view:
   <select name="theme">
<?php
reset( $default->themes );
while( list( $key, $name ) = each( $default->themes ) ) {
   $selected = '';
   if ( $key == $theme ) { $selected = ' selected '; }
   echo( '<option value="' . $key . '"' . $selected . '>' . $name . "\n" );
}
?>
   </select>
   <input type="submit" value="view">
   </form>
<table width="100%">
   <tr>
   <td>Variable name:</td>
   <td>Value:</td>
   </tr>
<?php
reset( $template_obj->registered_tags );
while( list( $name, $value ) = each( $template_obj->registered_tags ) ) {
   echo( '<tr>' );
      echo( '<td>' .
         $template_obj->template_var_start .
         $name .
         $template_obj->template_var_end .
      '</td>');
      echo( '<td>' . htmlspecialchars( $value ) . '</td>' );
   echo( '</tr>' );
   echo( "\n" );
}
?>
</table>
   </body>
</html>
